//=============================================================================
// Entspricht Aufg. 14.2 Ringzaehler, nur aufgeteilt auf mehrere Dateien,
// und den Ringzaehler als Bibliothek zur Verfuegung gestellt.

#include <iostream>
#include "..\Aufg_15_02_a_Ring_Zaehler_Bibliothek\ring_counter.h"
using namespace std;

//-------------------------------------------------------------------------------

int main()
{
   cout << "Aufg_15_02_Ringzaehler_Bibliothek\n\n";

   cout << "Ring-Counter(5)\n-> ";
   ring_counter rc1(5);
   for (int i = 0; i < 20; ++i) cout << rc1.next() << ' ';
   cout << "\n\n";

   cout << "Ring-Counter(-3)\n-> ";
   ring_counter rc2(-3);
   for (int i = 0; i < 20; ++i) cout << rc2.next() << ' ';
   cout << "\n\n";

   cout << "Ring-Counter(-3, 5)\n-> ";
   ring_counter rc3(-3, 5);
   for (int i = 0; i < 20; ++i) cout << rc3.next() << ' ';
   cout << "\n\n";

   cout << "Ring-Counter(-10, 8, 5)\n-> ";
   ring_counter rc4(-10, 8, 5);
   for (int i = 0; i < 20; ++i) cout << rc4.next() << ' ';
   cout << "\n\n";

   cout << "Ring-Counter(30, 5, -7)\n-> ";
   ring_counter rc5(30, 5, -7);
   for (int i = 0; i < 20; ++i) cout << rc5.next() << ' ';
   cout << "\n\n";

   cout << "Ring-Counter(2, 50, -7)\n-> ";
   ring_counter rc6(2, 50, -7);
}
